SDL_ShapeData Struct Reference

`#include <SDL_cocoashape.h>`

Collaboration diagram for SDL_ShapeData:
[legend]

## Data Fields

NSGraphicsContext * | context
SDL_bool | saved
SDL_ShapeTree * | shape
IDirectFBSurface * | surface
SDL_ShapeTree * | mask_tree
void * | bitmap
Uint32 | bitmapsize

## Detailed Description

Definition at line 32 of file SDL_cocoashape.h.

## Field Documentation

void* SDL_ShapeData::bitmap

Definition at line 31 of file SDL_x11shape.h.

Uint32 SDL_ShapeData::bitmapsize

Definition at line 32 of file SDL_x11shape.h.

NSGraphicsContext* SDL_ShapeData::context

Definition at line 33 of file SDL_cocoashape.h.

SDL_ShapeTree* SDL_ShapeData::mask_tree

Definition at line 33 of file SDL_windowsshape.h.

SDL_bool SDL_ShapeData::saved

Definition at line 34 of file SDL_cocoashape.h.

SDL_ShapeTree* SDL_ShapeData::shape

Definition at line 36 of file SDL_cocoashape.h.

IDirectFBSurface* SDL_ShapeData::surface

Definition at line 31 of file SDL_DirectFB_shape.h.

The documentation for this struct was generated from the following files:

- src/video/cocoa/SDL_cocoashape.h
- src/video/directfb/SDL_DirectFB_shape.h
- src/video/windows/SDL_windowsshape.h
- src/video/x11/SDL_x11shape.h